import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData) {
  return request.post(constant.serverUrl + "/sys/menu/pageList", formData);
}

function create() {
  return request.get(constant.serverUrl + "/sys/menu/create");
}

function edit(id) {
  return request.get(constant.serverUrl + "/sys/menu/edit/" + id);
}

function add(formModel) {
  return request.post(constant.serverUrl + "/sys/menu/add", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel) {
  return request.post(constant.serverUrl + "/sys/menu/update", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id) {
  return request.post(constant.serverUrl + "/sys/menu/delete/" + id);
}

function batchRemove(idList) {
  return request.post(constant.serverUrl + "/sys/menu/batchDelete", idList, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function query(formData) {
  return request.post(constant.serverUrl + "/sys/menu/query", formData);
}

function getMenuTree() {
  return request.get(constant.serverUrl + "/sys/menu/tree");
}

export default {
  pageList, create, edit, add, update, remove, batchRemove, query, getMenuTree
}